#
# spec file for package traceroute (Version nanog_6.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         traceroute
Copyright:    BSD
Group:        Networking/Utilities
Provides:     nkitb:/usr/sbin/traceroute
Autoreqprov:  on
Version:      nanog_6.1.1
Release:      94
Summary:      Traces the route taken by packets over a TCP/IP network
BuildRoot:    %{_tmppath}/traceroute-root
Url:          ftp://ftp.aces.com/pub/software/traceroute/
Source:       traceroute-nanog-6.0.tar.gz
Patch:        traceroute-to6.1.1.patch
Patch1:       traceroute-nanog-6.1.1.dif
Patch2:       traceroute-nanog-6.1.1-ia64.dif

%description
The traceroute utility displays the route used by IP packets on their
way to a specified host.

SuSE series: n

%prep
%setup -n traceroute-nanog-6.0
%patch
%patch1
%patch2

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make install BASEDIR="$RPM_BUILD_ROOT" DOC=%{_docdir}/traceroute

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/traceroute
%doc %{_mandir}/man8/*
/usr/sbin/traceroute

%changelog -n traceroute
* Fri May 18 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Thu Mar 15 2001 - cihlar@suse.cz
- update to version 6.1.1
* Fri Oct 20 2000 - kukuk@suse.de
- Initial version, split from nkitb
